Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.rwi.extension
Interface RwiMemberProvider

All Known Implementing Classes:
  RwiMemberProviderAdapter

public interface RwiMemberProvider

Presents provider that suited to work with certain rwi member. Provide ability to write specific methods for this member.

Author:
  TogetherSoft
See Also: RwiMember

Method Summary
`boolean` | `canPaste(RwiMember member, RwiNode rwiNode, RwiElement anchor, boolean before)` Specific method for this member.
`RwiMember` | `findMember(String uniqueName)` Specific method for this member.
`boolean` | `isMemberProvided(RwiMember member)` Checks whether this member provider is intended to work with the given member.
`RwiMemberEnumeration` | `members(RwiNode node)` Returns enumeration of this kind members for specified RwiNode.
`RwiMember` | `paste(RwiMember member, RwiNode rwiNode, RwiElement anchor, boolean before)` Specific method for this member.

Method Detail

### canPaste

    public boolean canPaste(RwiMember member, RwiNode rwiNode, RwiElement anchor, boolean before)

  Specific method for this member. Gets RwiNode in order to produce extra calculations. See `RwiContainer.canPaste`.

### findMember

    public RwiMember findMember(String uniqueName)

  Specific method for this member. Search among for member with specified unique name. See `RwiContainer.findMember`.

### isMemberProvided

    public boolean isMemberProvided(RwiMember member)

  Checks whether this member provider is intended to work with the given member.

### members

    public RwiMemberEnumeration members(RwiNode node)

  Returns enumeration of this kind members for specified RwiNode. See `RwiContainer.members`.

### paste

    public RwiMember paste(RwiMember member, RwiNode rwiNode, RwiElement anchor, boolean before)

  Specific method for this member. Gets RwiNode in order to produce extra calculations. See `RwiContainer.paste`.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD